Package edu.fiu.jtlex

# Enum ILingusticEvent.EventIntent

java.lang.Object
java.lang.Enum<ILingusticEvent.EventIntent>
edu.fiu.jtlex.ILingusticEvent.EventIntent

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<ILingusticEvent.EventIntent>`, `java.lang.constant.Constable`

Enclosing interface:
  ILingusticEvent

    public static enum ILingusticEvent.EventIntent
    extends java.lang.Enum<ILingusticEvent.EventIntent>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `ACHIEVEMENT` |
  `I_STATE` |
  `NEGATIVE_ACTION` |
  `NEGATIVE_I_STATE` |
  `POSITIVE_ACTION` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static ILingusticEvent.EventIntent` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static ILingusticEvent.EventIntent[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ACHIEVEMENT

    public static final ILingusticEvent.EventIntent ACHIEVEMENT

  - ### I_STATE

    public static final ILingusticEvent.EventIntent I_STATE

  - ### NEGATIVE_I_STATE

    public static final ILingusticEvent.EventIntent NEGATIVE_I_STATE

  - ### POSITIVE_ACTION

    public static final ILingusticEvent.EventIntent POSITIVE_ACTION

  - ### NEGATIVE_ACTION

    public static final ILingusticEvent.EventIntent NEGATIVE_ACTION

- ## Method Details

  - ### values

    public static ILingusticEvent.EventIntent[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ILingusticEvent.EventIntent valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null